/*----------------------------------------------------------------------------*/
/* DEFINITIONS                                                                */
/*----------------------------------------------------------------------------*/
#define  Flash_PORT E_PT2
#define  Flash_CS   BIT0
#define  Flash_SCLK BIT1
#define  Flash_MISO BIT2
#define  Flash_MOSI BIT3

#define  SCS_PIN 0
#define  SCLK_PIN 1
#define  MISO_PIN 2
#define  MOSI_PIN 3

#define sFLASH_CMD_WRITE          0x02  /*!< Write to Memory instruction */
#define sFLASH_CMD_WRSR           0x01  /*!< Write Status Register instruction */
#define sFLASH_CMD_WREN           0x06  /*!< Write enable instruction */
#define sFLASH_CMD_WRDIS          0x04  /*!< Write disable instruction */
#define sFLASH_CMD_READ           0x03  /*!< Read from Memory instruction */
#define sFLASH_CMD_RDSR           0x05  /*!< Read Status Register instruction  */
#define sFLASH_CMD_CE             0xC7  /*!< Chip Erase, or Change to 0x60 */
#define sFLASH_CMD_REMS           0x90  /*!< Read Electronic Manufacturer & Device ID */
#define sFLASH_CMD_RDID           0x9F  /*!< Read identification */
#define sFLASH_CMD_SE             0x20  /*!< Sector Erase instruction */ //0xD8
#define sFLASH_CMD_BE             0x52  /*!< Bulk Erase instruction */

#define sFLASH_WIP_FLAG           0x01  /*!< Write In Progress (WIP) flag */

#define sFLASH_DUMMY_BYTE         0xA5
#define sFLASH_SPI_PAGESIZE       0x100

// MWinbond Serial Flash anufacturer ID 0xEF
// W25X10 10h 3011h
// W25X20 11h 3012h
// W25X40 12h 3013h
// W25X80 13h 3014h
#define sFLASH_MX25L256_ID        0xC22019
#define sFLASH_MX25P128_ID        0xC22018
#define sFLASH_MX25P64_ID         0xC22017

/*----------------------------------------------------------------------------*/
/* Function PROTOTYPES                                                        */
/*----------------------------------------------------------------------------*/
void InitalSPI(void);

uint32_t SpiFlash_ReadMidDid(void);
void SpiFlash_WaitReady(void);
void SpiFlash_ChipErase(void);
void SpiFlash_SectorErase(uint32_t StartAddress);
void SpiFlash_PageProgram(uint8_t *DataBuffer, uint32_t StartAddress, uint32_t ByteCount);
void SpiFlash_ReadData(uint8_t *DataBuffer0, uint32_t StartAddress, uint32_t ByteCount);

